Summary:	Totem Playlist Parser library
Summary(pl.UTF-8):	Biblioteka analizująca listy odtwarzania Totema
Name:		totem-pl-parser
Version:	3.4.2
Release:	3
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/totem-pl-parser/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	d3c68b64945da19a887352d7e5c956d6
URL:		http://www.gnome.org/projects/totem/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gmime-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libarchive-devel >= 2.8.4
BuildRequires:	libgcrypt-devel
BuildRequires:	libsoup-gnome-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	libquvi-devel >= 0.2.15
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
A library to parse and save playlists, as used in music and movie
players.

%description -l pl.UTF-8
Biblioteka do analizy i zapisu list odtwarzania (playlist) używanych
przez odtwarzacze muzyki i filmów.

%package devel
Summary:	Header files for totem-pl-parser library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki totem-pl-parser
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	gmime-devel
Requires:	libarchive-devel >= 2.8.4
Requires:	libgcrypt-devel
Requires:	libxml2-devel >= 1:2.6.31
Requires:	quvi-devel >= 0.2.15

%description devel
Header files for totem-pl-parser library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki totem-pl-parser.

%package static
Summary:	Static totem-pl-parser library
Summary(pl.UTF-8):	Statyczna biblioteka totem-pl-parser
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static totem-pl-parser library.

%description static -l pl.UTF-8
Statyczna biblioteka totem-pl-parser.

%package apidocs
Summary:	totem-pl-parser library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki totem-pl-parser
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
totem-pl-parser library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki totem-pl-parser.

%prep
%setup -q

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libtotem-plparser-mini.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtotem-plparser-mini.so.17
%attr(755,root,root) %{_libdir}/libtotem-plparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtotem-plparser.so.17
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtotem-plparser-mini.so
%attr(755,root,root) %{_libdir}/libtotem-plparser.so
%{_includedir}/totem-pl-parser
%{_pkgconfigdir}/totem-plparser-mini.pc
%{_pkgconfigdir}/totem-plparser.pc
%{_datadir}/gir-1.0/TotemPlParser-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libtotem-plparser-mini.a
%{_libdir}/libtotem-plparser.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/totem-pl-parser
%changelog
* Thu Jul 19 2012 Artur Frysiak <artur@frysiak.net> c54cd18
libquvi is now in libquvi package
release 2

* Sun Jun 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0f6d4db
- release 2 (by relup.sh)

* Wed May 16 2012 Łukasz Kieś <kiesiu@pld-linux.org> f32ff16
- updated to 3.4.2

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 84a752e
- updated to 3.4.1

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 439ff9a
- updated to 3.4.0; merged changes from DEVEL

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ab04fe
- release 2

* Tue Sep 20 2011 Artur Frysiak <artur@frysiak.net> 01a2d5e
- up to 2.32.6

* Thu Jun 23 2011 Łukasz Kieś <kiesiu@pld-linux.org> 3009386
- changed libarchive to libarchive-devel

* Fri Jun 10 2011 Łukasz Kieś <kiesiu@pld-linux.org> 7f0a384
- BR: libarchive
- rel 2

* Fri May 20 2011 Marcin Banasiak <marcin.banasiak@gmail.com> d1911e3
- updated to 2.32.5

* Mon Mar 21 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2bb6f86
- updated to 2.32.4

* Mon Mar 07 2011 Artur Frysiak <artur@frysiak.net> db89173
- drop P/O: totem-libs, totem-devel, totem-static
- rel. 3

* Mon Mar 07 2011 Artur Frysiak <artur@frysiak.net> 59aad73
- -devel R: quvi-devel
 libquvi is in Requires.private but pkg-config --cflags complains about missing dependency
- rel. 2

* Mon Feb 21 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9fe89a7
- md5

* Mon Feb 21 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 7e289c9
- obsolete

* Mon Feb 21 2011 Marcin Banasiak <marcin.banasiak@gmail.com> deda313
- updated to 2.32.3
- removed obsolete miniparser.patch

* Sun Feb 13 2011 Artur Frysiak <artur@frysiak.net> c964d87
- updated to 2.32.2
- use %{__rm} macro
- fix unresolved symbols in miniparser lib

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> b0e0cd9
- BR: libsoup-gnome-devel

* Wed Oct 20 2010 Marcin Banasiak <marcin.banasiak@gmail.com> af29f5c
- updated to 2.32.1

* Tue Sep 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> d47a4e7
- updated to 2.32.0

